/***************************************************************************
 *   Copyright (C) 2004 by Sandro Giessl                                   *
 *   ceebx@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EVENTWATCHERGENERALSETTINGPAGEIMP_H
#define EVENTWATCHERGENERALSETTINGPAGEIMP_H

#include <generalsettingpage.h>

namespace EventWatcher {

class GeneralSettingPageImp : public GeneralSettingPage
{
Q_OBJECT
public:
    GeneralSettingPageImp(QWidget *parent = 0, const char *name = 0);

    ~GeneralSettingPageImp();

public slots:
    void slotApply();
    void slotDefaults();
signals:
    void changed();
};

};

#endif
