/***************************************************************************
 *   Copyright (C) 2004 by Sandro Giessl                                   *
 *   ceebx@users.sourceforge.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Library General Public License as       *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Library General Public     *
 *   License along with this program; if not, write to the                 *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EVENTWATCHER_DCOP_PLUGIN_IFACE
#define EVENTWATCHER_DCOP_PLUGIN_IFACE

#include <qstring.h>
#include <dcopobject.h>

class DcopPluginIface : virtual public DCOPObject
{
K_DCOP
k_dcop:
    virtual void send(const QString &shortTitle, const QString &title) = 0;
    virtual void send(const QString &shortTitle, const QString &title, const QString &text) = 0;
    virtual void send(const QString &shortTitle, const QString &title, const QString &text, const QString &icon) = 0;
};

#endif
